Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class RescoringMatchScorer

    java.lang.Object
      com.google.appengine.api.search.MatchScorer
          com.google.appengine.api.search.RescoringMatchScorer

    public final class RescoringMatchScorer

extends MatchScorer

Assigns a document score based on term frequency weighted on document parts. If you add a MatchScorer to a SortOptions as in the following code:

      SortOptions sortOptions = SortOptions.newBuilder()
          .setMatchScorer(RescoringMatchScorer().newBuilder())
          .build();

then this will sort the documents in descending score order. The scores will be positive. If you want to sort in ascending order, then use the following code:

       SortOptions sortOptions = SortOptions.newBuilder()
           .setMatchScorer(RescoringMatchScorer.newBuilder())
           .addSortExpression(
               SortExpression.newBuilder()
                   .setExpression(SortExpression.SCORE_FIELD_NAME)
                   .setDirection(SortExpression.SortDirection.ASCENDING)
                   .setDefaultValueNumeric(0.0))
           .build();

The scores in this case will be negative.

Nested Class Summary
`static class` | `RescoringMatchScorer.Builder` A builder that constructs `RescoringMatchScorers`.

Method Summary
`static RescoringMatchScorer.Builder` | `newBuilder()` Creates and returns a RescoringMatchScorer Builder.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### newBuilder

    public static RescoringMatchScorer.Builder newBuilder()

  Creates and returns a RescoringMatchScorer Builder.

  Returns:
    a new `RescoringMatchScorer.Builder`. Set the parameters for scorer on the Builder, and use the `RescoringMatchScorer.Builder.build()` method to create a concrete instance of RescoringMatchScorer

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MatchScorer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD